## org.beepcore.beep.profile.sasl.otp.database
Class UserDBNotFoundException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.beepcore.beep.core.BEEPException
                  org.beepcore.beep.profile.sasl.SASLException
                      org.beepcore.beep.profile.sasl.otp.database.UserDBNotFoundException

All Implemented Interfaces:
  java.io.Serializable

public class UserDBNotFoundException
extends SASLException

This class represents errors associated with either the non-existence of a SASL OTP database for a given user, or errors associated with reading or parsing of the said database.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` `MSG`

Constructor Summary
`UserDBNotFoundException(java.lang.String username)` Default Constructor

Methods inherited from class org.beepcore.beep.core.BEEPException
`getCause, getLocalizedMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### MSG

    public static final java.lang.String MSG

See Also:
  Constant Field Values

Constructor Detail

### UserDBNotFoundException

    public UserDBNotFoundException(java.lang.String username)

  Default Constructor

Parameters:
  `username` - Denotes the identity of the user that had been attempting to authenticate via SASL OTP.

Copyright ? 2001 Invisible Worlds, Inc. All Rights Reserved.